<h1 *ngIf="level === 1" class="{{ className }} {{ display }}">
  {{ text }}
</h1>

<h2 *ngIf="level === 2" class="{{ className }} {{ display }}">
  {{ text }}
</h2>

<h3 *ngIf="level === 3" class="{{ className }} {{ display }}">
  {{ text }}
</h3>
